# Uses of Class
org.springframework.core.codec.CharBufferDecoder

Packages that use CharBufferDecoder
Package
Description
org.springframework.core.codec
`Encoder` and `Decoder` abstractions to convert between a reactive stream of bytes and Java objects.

## Uses of CharBufferDecoder in org.springframework.core.codec

Methods in org.springframework.core.codec that return CharBufferDecoder
Modifier and Type
Method
Description
`static CharBufferDecoder`
CharBufferDecoder.`allMimeTypes()`
Create a `CharBufferDecoder` that supports all MIME types.
`static CharBufferDecoder`
CharBufferDecoder.`allMimeTypes(List<String> delimiters, boolean stripDelimiter)`
Create a `CharBufferDecoder` that supports all MIME types.
`static CharBufferDecoder`
CharBufferDecoder.`textPlainOnly()`
Create a `CharBufferDecoder` for `"text/plain"`.
`static CharBufferDecoder`
CharBufferDecoder.`textPlainOnly(List<String> delimiters, boolean stripDelimiter)`
Create a `CharBufferDecoder` for `"text/plain"`.